=== debian/changelog ===
augustus (3.3.1+dfsg-2) unstable; urgency=medium

  * Team upload.
  * d/watch: Source download is now on Github
  * Standards-Version: 4.2.1

 -- Andreas Tille <tille@debian.org>  Thu, 13 Sep 2018 15:48:26 +0200

augustus (3.3.1+dfsg-1) unstable; urgency=medium

  [ Steffen Moeller ]
  * debian/upstream/metadata: RRID -> SciCrunch

  [ Sascha Steinbiss ]
  * New upstream release.
  * Fix typo in manpage.
  * Remove obsolete Testsuite entry.
  * Bump Standards-Version.
  * Remove old patches.
  * Update VCS-* links.
  * Bump debhelper requirement to version 11.

 -- Sascha Steinbiss <satta@debian.org>  Sat, 12 May 2018 08:25:35 +0200
