## augustus 3.3.2+dfsg

=== Makefile ===
--- 
+++ 
@@ -27,7 +27,6 @@
 
 # for internal purposes:
 release:
-	find . -name .svn | xargs rm -rf
 	find . -name "*~" | xargs rm -f
 	rm -f src/makedepend.pl
 	rm -r augustus-training
@@ -35,11 +34,12 @@
 	rm -r auxprogs/utrrnaseq/input/human-chr19
 	rm -r docs/tutorial-cgp/results/cactusout
 	make clean all
-	make clean
-	cd config/species; rm -rf tobacco xeno1 bombus_terrestris{1,3} symsag xenoturbella meara pavar newest elegans maker2_* lizard
 	rm generic/*.pbl
 	cd src/parser; rm Makefile; cd -
-	cd ..; tar -czf augustus-$(AUGVERSION).tar.gz augustus
+	cd ..; tar -czf augustus-$(AUGVERSION).tar.gz augustus-$(AUGVERSION)
+
+test:
+	./bin/augustus --species=human --UTR=on examples/example.fa
 
 # remove -static from src/Makefile for MAC users
 # remove -g -gdb from CXXFLAGS
