=== debian/changelog ===
augustus (3.3.2+dfsg-2) unstable; urgency=medium

  * Use dynamic Built-Using in d/control.
    Thanks to Andreas Beckmann for useful hints.
    Closes: #924359

 -- Sascha Steinbiss <satta@debian.org>  Fri, 15 Mar 2019 17:11:10 +0100

augustus (3.3.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Exclude new training directory from tarball.
  * Adjust doc-base.
  * Use secure Format URL in d/copyright.
  * Add new build-deps for OpenSSL and libcurl.
  * Set AUGUSTUS_CONFIG_PATH at build time to enable tests.

 -- Sascha Steinbiss <satta@debian.org>  Sat, 06 Oct 2018 14:24:12 +0200
