=== debian/control ===
--- 
+++ 
@@ -15,6 +15,8 @@
                lzma-dev,
                libhts-dev,
                libncurses5-dev,
+               libcurl4-nss-dev,
+               libssl-dev,
                asciidoctor
 Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/med-team/augustus
@@ -26,7 +28,7 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          augustus-data
-Built-Using: samtools-legacy (= 0.1.19-2)
+Built-Using: ${Built-Using:samtools}
 Description: gene prediction in eukaryotic genomes
  AUGUSTUS is a software for gene prediction in eukaryotic genomic sequences
  that is based on a generalized hidden Markov model (HMM), a probabilistic
