=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export TOOLDIR = /usr/include
export AUGUSTUS_CONFIG_PATH=$(CURDIR)/config
export LIBBAM_PKG_VERSION=$(shell apt-cache policy libbam-dev | grep Installed | cut -f2 -d: | cut -c2-)
.PHONY: bam2hints homGeneMapping checkTargetSortedness joingenes

%:
	dh $@

bin:
	mkdir -p bin

aln2wig: bin
		$(MAKE) -C auxprogs/aln2wig

bam2hints: bin
	$(MAKE) -C auxprogs/bam2hints

bam2wig: bin
		$(MAKE) -C auxprogs/bam2wig

checkTargetSortedness: bin
	$(MAKE) -C auxprogs/checkTargetSortedness

compileSpliceCands: bin
	$(MAKE) -C auxprogs/compileSpliceCands

filterBam: bin
	$(MAKE) -C auxprogs/filterBam

homGeneMapping: bin
	$(MAKE) -C auxprogs/homGeneMapping/src

joingenes: bin
	$(MAKE) -C auxprogs/joingenes

override_dh_auto_clean:
	$(MAKE) -C auxprogs/bam2hints clean
	$(MAKE) -C auxprogs/homGeneMapping clean
	$(MAKE) -C auxprogs/joingenes clean
	$(MAKE) -C auxprogs/aln2wig clean
	$(MAKE) -C auxprogs/bam2wig clean
	$(MAKE) -C auxprogs/checkTargetSortedness clean
	$(MAKE) -C auxprogs/compileSpliceCands clean
	$(MAKE) -C auxprogs/filterBam clean
	rm -rf bin

override_dh_auto_build: aln2wig bam2hints bam2wig checkTargetSortedness compileSpliceCands filterBam homGeneMapping joingenes
	dh_auto_build
	asciidoctor -a docdate='' -b manpage debian/mansrc/*adoc

override_dh_installchangelogs:
	dh_installchangelogs -k HISTORY.TXT

override_dh_auto_install:
	mkdir -p         debian/augustus/usr/bin
	install bin/*    debian/augustus/usr/bin
	install auxprogs/checkTargetSortedness/checkTargetSortedness \
                   debian/augustus/usr/bin
	install auxprogs/bam2wig/bam2wig \
                   debian/augustus/usr/bin
	install auxprogs/compileSpliceCands/compileSpliceCands \
                   debian/augustus/usr/bin
	install auxprogs/homGeneMapping/src/homGeneMapping \
                   debian/augustus/usr/bin
	install auxprogs/joingenes/joingenes \
	                 debian/augustus/usr/bin
	mkdir -p         debian/augustus/usr/share/augustus
	cp -r scripts    debian/augustus/usr/share/augustus
	chmod -R -x      debian/augustus/usr/share/augustus/scripts/*
	rm -rf           debian/augustus/usr/share/augustus/scripts/*.patch \
	                 debian/augustus/usr/share/augustus/scripts/aln2wig
	chmod +x         debian/augustus/usr/share/augustus/scripts/checkUTR \
	                 debian/augustus/usr/share/augustus/scripts/*.pl*
	mkdir -p         debian/augustus-doc/usr/share/doc/augustus
	cp README*       debian/augustus-doc/usr/share/doc/augustus
	cp docs/*.txt    debian/augustus-doc/usr/share/doc/augustus
	cp -r docs/tutorial \
	                 debian/augustus-doc/usr/share/doc/augustus
	mkdir -p         debian/augustus-data/usr/share/augustus
	cp -r config     debian/augustus-data/usr/share/augustus
	find             debian/augustus-data/usr/share/augustus \
	  -type f -exec chmod -x {} \;

override_dh_compress:
	dh_compress -Xtutorial

override_dh_gencontrol:
	dh_gencontrol -- \
		-V'Built-Using:samtools=$(shell dpkg-query -f '$${source:Package} (= $${source:Version})' -W libbam-dev)'
