## augustus 3.3.3+dfsg

=== Makefile ===
--- 
+++ 
@@ -29,7 +29,6 @@
 release:
 	find . -name "*~" | xargs rm -f
 	rm -f src/makedepend.pl
-	rm -r augustus-training
 	cd docs/tutorial2015/results; ls | grep -v do.sh | grep -v README | xargs rm; cd -
 	rm -r auxprogs/utrrnaseq/input/human-chr19
 	rm -r docs/tutorial-cgp/results/cactusout
@@ -39,6 +38,8 @@
 	cd ..; tar -czf augustus-$(AUGVERSION).tar.gz augustus-$(AUGVERSION)
 
 test:
+	cd src && ${MAKE} unittest
+	cd src/unittests && ./unittests
 	./bin/augustus --species=human --UTR=on examples/example.fa
 
 # remove -static from src/Makefile for MAC users
