=== src/Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 # Notes: - "-Wno-sign-compare" eliminates a high number of warnings (see footnote below). Please adopt
 #          a strict signed-only usage strategy to avoid mistakes since we are not warned about this.
 #        - The order of object files in $(OBJS) IS IMPORTANT (see lldouble.hh)
-CXXFLAGS := -Wall -Wno-sign-compare -Wno-strict-overflow -pedantic -g -ggdb -O3 ${CXXFLAGS}# -DDEBUG -g -ggdb -pg -DDEBUG_STATES
+CXXFLAGS := -Wall -Wno-sign-compare -pedantic -g -ggdb -O3 ${CXXFLAGS}# -DDEBUG -g -ggdb -pg -DDEBUG_STATES
 ifdef SQLITE
 	COMPGENEPRED = true
 endif
@@ -66,6 +66,7 @@
 
 .SUFFIXES:
 .SUFFIXES: .cc .o .so
+.PHONY: googletest
 
 .cc.o:
 	$(CXX) -c $(CXXFLAGS) -o $@ $< $(INCLS)
@@ -119,9 +120,18 @@
 
 clean:
 	rm -f ../bin/* $(PROGR) $(OBJS) $(DUMOBJS) $(TOBJS) consensus.o exon_seg.o pp_fastBlockSearcher.o  $(INFO)
+	cd googletest && ${MAKE} clean
+	cd unittests && ${MAKE} clean
 
 tidy: clean
 	rm -f *~ *.o *.rej *.orig ../include/*~ ../include/*.orig ../include/*.rej $(INFO)
+	cd googletest && ${MAKE} tidy
+
+googletest:
+	cd googletest && ${MAKE}
+
+unittest: googletest
+	cd unittests && ${MAKE}
 
 augustus.o : \
 	../include/evaluation.hh \
@@ -455,10 +465,3 @@
 	../include/gene.hh \
 	../include/geneticcode.hh \
 	../include/hints.hh \
-	../include/intronmodel.hh \
-	../include/lldouble.hh \
-	../include/matrix.hh \
-	../include/merkmal.hh \
-	../include/motif.hh \
-	../include/pp_hitseq.hh \
-	../include/pp_profile.hh \
