=== debian/changelog ===
augustus (3.3.3+dfsg-2build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:34:00 +0100

augustus (3.3.3+dfsg-2) unstable; urgency=medium

  * Use source package name for Built-Using entry.
    Closes: #940703

 -- Sascha Steinbiss <satta@debian.org>  Sun, 22 Sep 2019 21:40:24 +0200

augustus (3.3.3+dfsg-1) unstable; urgency=medium

  [ Sascha Steinbiss ]
  * New upstream release.
  * Remove obsolete entry in doc-base.
  * Use debhelper 12.
  * Bump Standards-Version.
  * Fix interpreter paths in Perl scripts.

  [ Steffen Moeller ]
  * Add d/upstream/metadata reference to Conda.

 -- Sascha Steinbiss <satta@debian.org>  Wed, 18 Sep 2019 23:11:59 +0200
