=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Sascha Steinbiss <satta@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper (>= 12),
                libsqlite3-dev,
                libboost-iostreams-dev,
                zlib1g-dev,
@@ -18,7 +18,7 @@
                libcurl4-nss-dev,
                libssl-dev,
                asciidoctor
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/med-team/augustus
 Vcs-Git: https://salsa.debian.org/med-team/augustus.git
 Homepage: http://bioinf.uni-greifswald.de/augustus/
@@ -28,7 +28,7 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          augustus-data
-Built-Using: ${Built-Using:samtools}
+Built-Using: samtools-legacy (= ${libbam-dev:Version})
 Description: gene prediction in eukaryotic genomes
  AUGUSTUS is a software for gene prediction in eukaryotic genomic sequences
  that is based on a generalized hidden Markov model (HMM), a probabilistic
