=== debian/rules ===
--- 
+++ 
@@ -46,6 +46,7 @@
 	$(MAKE) -C auxprogs/compileSpliceCands clean
 	$(MAKE) -C auxprogs/filterBam clean
 	rm -rf bin
+	rm -f debian/*substvars
 
 override_dh_auto_build: aln2wig bam2hints bam2wig checkTargetSortedness compileSpliceCands filterBam homGeneMapping joingenes
 	dh_auto_build
@@ -88,5 +89,5 @@
 	dh_compress -Xtutorial
 
 override_dh_gencontrol:
-	dh_gencontrol -- \
-		-V'Built-Using:samtools=$(shell dpkg-query -f '$${source:Package} (= $${source:Version})' -W libbam-dev)'
+	echo "libbam-dev:Version=$(LIBBAM_PKG_VERSION)" >> debian/augustus.substvars
+	dh_gencontrol
