=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
   https://github.com/Gaius-Augustus/Augustus/releases .*/archive/v?(\d[.\d]+)[-tag0-9]*@ARCHIVE_EXT@
